##  for Mageia 9  ##

# turn off debuginfo package
%define debug_package %{nil}


Name:    fcitx5-qt
Summary: Qt library and IM module for Fcitx5
Version: 5.1.9
Release: 1.np9
License: LGPLv2+ and BSD-3
Group:   System/Internationalization
URL:     https://github.com/fcitx/fcitx5-qt
Source0: https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.zst

BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: gcc-c++
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: %{_lib}xcb-devel
BuildRequires: %{_lib}xkbcommon-devel
BuildRequires: fcitx5-devel
BuildRequires: gettext-devel
BuildRequires: %{_lib}qt6base6-devel
BuildRequires: %{_lib}qt6waylandclient-devel

%description
Qt library and IM module for Fcitx5.

* This UNOFFICIAL package support Qt5 and Qt6. (Do not support Qt4)

# ---------------------------------------------------------------

%package -n fcitx5-qt5
Summary: Qt5 IM module for Fcitx5
Group:   System/Internationalization
Requires: fcitx5
Requires: qtbase5-common
Obsoletes: fcitx5-qt < 5.0.17-3

%description -n fcitx5-qt5
Qt5 IM module for Fcitx5.

# ---------------------------------------------------------------

%package -n fcitx5-qt6
Summary: Qt6 IM module for Fcitx5
Group:   System/Internationalization
Requires: fcitx5
Requires: qtbase6-common

%description -n fcitx5-qt6
Qt6 IM module for Fcitx5.

# ---------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group:   Development/KDE and Qt
Requires: fcitx5-devel
Requires: fcitx5-qt5 = %{version}-%{release}
Requires: fcitx5-qt6 = %{version}-%{release}

%description devel
Development files for %{name}

# ---------------------------------------------------------------

%prep
%setup -q


%build
%cmake -DENABLE_QT4=OFF -DENABLE_QT6=ON
%cmake_build 


%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

%find_lang %{name}


%files -n fcitx5-qt5 -f %{name}.lang
%license LICENSES/LGPL-2.1-or-later.txt
%doc README.md 
%{_bindir}/fcitx5-qt5-immodule-probing
%{_libdir}/qt5/plugins/platforminputcontexts/libfcitx5platforminputcontextplugin.so
%{_libdir}/fcitx5/qt5/libfcitx-quickphrase-editor5.so
%{_libexecdir}/fcitx5-qt5-gui-wrapper
%{_libdir}/libFcitx5Qt5WidgetsAddons.so.2
%{_libdir}/libFcitx5Qt5WidgetsAddons.so.*.*
%{_libdir}/libFcitx5Qt5DBusAddons.so.1
%{_libdir}/libFcitx5Qt5DBusAddons.so.*.*
%{_datadir}/applications/org.fcitx.fcitx5-qt5-gui-wrapper.desktop

%files -n fcitx5-qt6
%{_bindir}/fcitx5-qt6-immodule-probing
%{_libdir}/qt6/plugins/platforminputcontexts/libfcitx5platforminputcontextplugin.so
%{_libdir}/fcitx5/qt6/libfcitx-quickphrase-editor5.so
%{_libexecdir}/fcitx5-qt6-gui-wrapper
%{_libdir}/libFcitx5Qt6WidgetsAddons.so.2
%{_libdir}/libFcitx5Qt6WidgetsAddons.so.*.*
%{_libdir}/libFcitx5Qt6DBusAddons.so.1
%{_libdir}/libFcitx5Qt6DBusAddons.so.*.*
%{_datadir}/applications/org.fcitx.fcitx5-qt6-gui-wrapper.desktop

%files devel
%{_includedir}/Fcitx5Qt5/
%{_includedir}/Fcitx5Qt6/
%{_libdir}/cmake/Fcitx5Qt5*/
%{_libdir}/cmake/Fcitx5Qt6*/
%{_libdir}/libFcitx5Qt5DBusAddons.so
%{_libdir}/libFcitx5Qt5WidgetsAddons.so
%{_libdir}/libFcitx5Qt6DBusAddons.so
%{_libdir}/libFcitx5Qt6WidgetsAddons.so


%changelog
* Thu Jan 23 2025 tomcat <> 5.1.9-1.np9
- 5.1.9

* Fri Oct 18 2024 tomcat <> 5.1.8-1.np9
- 5.1.8

* Wed Oct 09 2024 tomcat <> 5.1.7-1.np9
- 5.1.7

* Tue Apr 23 2024 tomcat <> 5.1.6-1.np9
- 5.1.6

* Fri Mar 01 2024 tomcat <> 5.1.5-1.np9
- 5.1.5
- update %%files

* Sat Jan 06 2024 tomcat <> 5.1.4-1.np9
- 5.1.4
- update %%files

* Sat Nov 04 2023 tomcat <> 5.1.3-1.np9
- 5.1.3
- add BR:%%{_lib}qt6waylandclient-devel

* Sat Sep 30 2023 tomcat <> 5.1.1-1.np9
- 5.1.1

* Fri Aug 18 2023 tomcat <> 5.1.0-1.np9
- 5.1.0
- build Qt6 IM module
    * new create sub package as fcitx5-qt6
    * change package name from fcitx5-qt to fcitx5-qt5
- update %%files

* Thu Jun 08 2023 tomcat <> 5.0.17-2.np9
- add 'R:qt5gui-devel, qt5widgets-devel' into fcitx5-qt-devel

* Mon Apr 24 2023 tomcat <> 5.0.17-1.np9
- 5.0.17

* Sun Feb 26 2023 tomcat <> 5.0.16-2.np9
- build for Mageia 9
- build with fcitx5-5.0.21

* Sun Nov 20 2022 tomcat <> 5.0.16-1.nora8
- 5.0.16
- build with fcitx5-5.0.20

* Tue Aug 30 2022 tomcat <> 5.0.15-1.nora8
- 5.0.15

* Wed Jul 06 2022 tomcat <> 5.0.14-1.nora8
- 5.0.14

* Thu Jun 02 2022 tomcat <> 5.0.13-1.nora8
- 5.0.13

* Mon May 23 2022 tomcat <> 5.0.12-1.nora8
- 5.0.12
- update %%files

* Thu Mar 10 2022 tomcat <> 5.0.11-1.nora8
- 5.0.11

* Wed Feb 02 2022 tomcat <> 5.0.10-1.nora8
- 5.0.10

* Sun Jan 02 2022 tomcat <> 5.0.9-1.nora8
- 5.0.9

* Sun Dec 05 2021 tomcat <> 5.0.8-1.nora8
- 5.0.8

* Sun Sep 26 2021 tomcat <> 5.0.7-1.nora8
- 5.0.7

* Thu May 06 2021 tomcat <> 5.0.6-1.nora8
- 5.0.6

* Tue Mar 23 2021 tomcat <> 5.0.5-1.nora8
- 5.0.5

* Mon Mar 22 2021 tomcat <> 5.0.4-1.nora8
- 5.0.4

* Fri Feb 19 2021 tomcat <> 5.0.3-1.nora8
- 5.0.3

* Wed Jan 27 2021 tomcat <> 5.0.2-1.nora8
- build for Mageia 8
